Subject: [icnrg] Fwd: I-D Action: draft-oran-icnrg-flowbalance-02.txt

From: "David R. Oran" <[email-masked]>
Date: Mon, 03 Feb 2020 11:44:19 -0500

This is a simple refresh with just a conversion to V3 of the xml2rfc 
grammar and a few cosmetics.

As noted in the earlier message form the chairs, this has not gotten any 
review yet, so that author would very much appreciate review by ICNRG 
participants.

Thanks!

DaveO

Forwarded message:

> From: [email-masked]
> To: [email-masked]
> Subject: I-D Action: draft-oran-icnrg-flowbalance-02.txt
> Date: Mon, 03 Feb 2020 08:41:17 -0800
>
> A New Internet-Draft is available from the on-line Internet-Drafts 
> directories.
>
>
>         Title           : Maintaining CCNx or NDN flow balance with 
> highly variable data object sizes
>         Author          : Dave Oran
> 	Filename        : draft-oran-icnrg-flowbalance-02.txt
> 	Pages           : 15
> 	Date            : 2020-02-03
>
> Abstract:
>    Deeply embedded in some ICN architectures, especially Named Data
>    Networking (NDN) and Content-Centric Networking (CCNx) is the 
> notion
>    of flow balance.  This captures the idea that there is a one-to-one
>    correspondence between requests for data, carried in Interest
>    messages, and the responses with the requested data object, carried
>    in Data messages.  This has a number of highly beneficial 
> properties
>    for flow and congestion control in networks, as well as some
>    desirable security properties.  For example, neither legitimate 
> users
>    nor attackers are able to inject large amounts of un-requested data
>    into the network.
>
>    Existing congestion control approaches however cannot deal
>    effectively with a widely varying MTU of ICN data messages, since 
> the
>    protocols allow a dynamic range of 1-64K bytes.  Since Interest
>    messages are used to allocate the reverse link bandwidth for
>    returning Data, there is large uncertainty in how to allocate that
>    bandwidth.  Unfortunately, current congestion control schemes in 
> CCNx
>    and NDN only count Interest messages and have no idea how much data
>    is involved that could congest the inverse link.  This document
>    proposes a method to maintain flow balance by accommodating the 
> wide
>    dynamic range in Data message MTU.
>
>
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-oran-icnrg-flowbalance/
>
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-oran-icnrg-flowbalance-02
> https://datatracker.ietf.org/doc/html/draft-oran-icnrg-flowbalance-02
>
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-oran-icnrg-flowbalance-02
>
>
> Please note that it may take a couple of minutes from the time of 
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt